- expanded = expanded_by_default?
- add_page_specific_style 'page_bundles/ci_cd_settings'

- if @project.licensed_feature_available?(:protected_environments)
  = render ::Layouts::SettingsBlockComponent.new(_('Protected environments'),
    id: 'js-protected-environments-settings',
    css_class: 'protected-environments-settings',
    expanded: expanded) do |c|
    - c.with_description do
      = s_('ProtectedEnvironment|Only specified users can execute deployments in a protected environment.')
    - c.with_body do
      #js-protected-environments{ data: { entity_id: @project.id,
                                      entity_type: 'projects',
                                      api_link: help_page_path('api/protected_environments.md'),
                                      docs_link: help_page_path('ci/environments/deployment_approvals.md', anchor: 'add-multiple-approval-rules') } }

      = render partial: 'projects/protected_environments/group_environments_list'
      = render 'projects/protected_environments/deployment_approval_options', project: @project
